summaryrefslogtreecommitdiff
path: root/recipes/ti/matrix-gui
diff options
context:
space:
mode:
Diffstat (limited to 'recipes/ti/matrix-gui')
-rw-r--r--recipes/ti/matrix-gui/0001-Disable-cursor-override-for-X11.patch27
-rw-r--r--recipes/ti/matrix-gui/dm365-evm/init26
-rw-r--r--recipes/ti/matrix-gui/init24
3 files changed, 77 insertions, 0 deletions
diff --git a/recipes/ti/matrix-gui/0001-Disable-cursor-override-for-X11.patch b/recipes/ti/matrix-gui/0001-Disable-cursor-override-for-X11.patch
new file mode 100644
index 0000000000..61eba44eea
--- /dev/null
+++ b/recipes/ti/matrix-gui/0001-Disable-cursor-override-for-X11.patch
@@ -0,0 +1,27 @@
+From b0e91f703ffdcc73f854a672ec16ebbf21293c9c Mon Sep 17 00:00:00 2001
+From: Chase Maupin <chase.maupin@ti.com>
+Date: Mon, 24 May 2010 12:51:49 -0500
+Subject: [PATCH] Disable cursor override for X11
+
+* Disable the cursor override option for using the matrix_gui
+ program with X11.
+---
+ main.cpp | 2 +-
+ 1 files changed, 1 insertions(+), 1 deletions(-)
+
+diff --git a/main.cpp b/main.cpp
+index 978e327..1f55e94 100644
+--- a/main.cpp
++++ b/main.cpp
+@@ -43,7 +43,7 @@ int main(int argc, char * argv[])
+ {
+ QApplication matrix(argc, argv);
+ QApplication::setStyle(new CustomStyle);
+- QApplication::setOverrideCursor(QCursor(Qt::BlankCursor));
++// QApplication::setOverrideCursor(QCursor(Qt::BlankCursor));
+
+ // Create a new window to display a web page.
+ MainWindow * pWindow = new MainWindow(0, QString(argv[1]), true);
+--
+1.6.0.4
+
diff --git a/recipes/ti/matrix-gui/dm365-evm/init b/recipes/ti/matrix-gui/dm365-evm/init
new file mode 100644
index 0000000000..3aadc1e6d9
--- /dev/null
+++ b/recipes/ti/matrix-gui/dm365-evm/init
@@ -0,0 +1,26 @@
+#! /bin/sh
+matrixgui="/usr/bin/matrix_gui"
+GUI_OPTS="-geometry 720x480+0+10 -display transformed:Rot0 /usr/share/matrix/html/menu_main.html"
+
+test -x "$matrixgui" || exit 0
+
+case "$1" in
+ start)
+ # switch to component 480p mode
+ echo 480P-60 > /sys/class/davinci_display/ch0/mode
+ echo COMPONENT > /sys/class/davinci_display/ch0/output
+ echo -n "Starting Matrix GUI application"
+ start-stop-daemon --start --quiet --background --pidfile /var/run/matrix-gui.pid --exec $matrixgui -- $GUI_OPTS
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping Matrix GUI application"
+ start-stop-daemon --stop --quiet --pidfile /var/run/matrix-gui.pid
+ echo "."
+ ;;
+ *)
+ echo "Usage: /etc/init.d/matrix-gui {start|stop}"
+ exit 1
+esac
+
+exit 0
diff --git a/recipes/ti/matrix-gui/init b/recipes/ti/matrix-gui/init
new file mode 100644
index 0000000000..40b651260c
--- /dev/null
+++ b/recipes/ti/matrix-gui/init
@@ -0,0 +1,24 @@
+#! /bin/sh
+
+matrixgui="/usr/bin/matrix_gui"
+GUI_OPTS="/usr/share/matrix/html/menu_main.html"
+
+test -x "$matrixgui" || exit 0
+
+case "$1" in
+ start)
+ echo -n "Starting Matrix GUI application"
+ start-stop-daemon --start --quiet --background --pidfile /var/run/matrix-gui.pid --exec $matrixgui -- $GUI_OPTS
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping Matrix GUI application"
+ start-stop-daemon --stop --quiet --pidfile /var/run/matrix-gui.pid
+ echo "."
+ ;;
+ *)
+ echo "Usage: /etc/init.d/matrix-gui {start|stop}"
+ exit 1
+esac
+
+exit 0